Subject: [ipfix] IPFIX reqs appendix: consistency check

From: Sandra Tartarelli <[email-masked]>
Date: Fri, 23 May 2003 11:29:30 +0200

Dear all,

I checked the consistency of the appendix of the IPFIX requirements 
document. This was listed as open issue in Juergen's email "IPFIX 
requirement: final changes":

> ========================================================================
> 7. consistency of appendix
> ========================================================================
> Problem Description:
> ------------------------------------------------------------------------
>   The appendix is outdated. Alignment with the text sections and
>   coverage of all requirements need to be checked and fixed.
> ========================================================================
> Suggested solution:
> ------------------------------------------------------------------------
>   no suggestion, yet
> ========================================================================
> Status: solution required
> ========================================================================
>

In the following, you find my suggestions to update it. Part of the 
suggestions consider the comments in Juergen's email "IPFIX requirement: 
final changes".

Best regards,
Sandra

============================================================================== 

--- 5.2 Sampling
 > Add note (j): "If sampling is supported, sampling configuration 
changes MUST be indicated to all collecting processes"

--- 5.3 Overload behavior
 > Add note (k): "If overload is supported and it induces changes in the 
metering process behavior, the overload behavior MUST be clearly defined"

--- Requirement on packet fragmentation state at the meter is missing 
(section 5.8)
 > Add "5.8 Packet Fragmentation state O O - - - O"

--- 6.1 Byte counter
 > Add note (l): "which bytes of a packet are counted MUST be defined 
clearly"
This note is not required if the suggestion from Juergen to replace the 
byte counter definition is accepted.
 From Juergen's email:

> More concrete definition of byte counter
>      old text:
>             8. byte counter
>             Which bytes of a packet are counted MUST be
>             defined exactly."
>      suggested replacement:
>             8. byte counter:
>             The sum of the total length of all IP packets
>             belonging to the flow. The total length of a
>             packet covers IP header and IP payload.

--- 6.1 Dropped packet counter:  This requirement appears as a MUST in 
the appendix, but it is a MAY in current section 6.1
 > Replace with: "6.1 Dropped packet counter (h,i) O O O O O O"

--- 6.1 ToS byte and DSCP: they appear as separate requirements in the 
appendix. Besides, Traffic Class (IPv6) is not mentioned.
However, Juergen wrote:

> On page 14 I see:
>
>      9. type of service octet (in case of IPv4), traffic class
>         octet (in case of IPv6)
>
> Is that not better state as
>
>      9. DSCP, which is set in the type of service octet (in case of 
> IPv4),
>         or in the traffic class octet (in case of IPv6) 

 > If this is accepted, then remove line "6.1 ToS Byte M S M O M M" and 
leave only "6.1 DSCP (a) M S M O M M"

--- 6.1 BGP AS# is given as MUST in the appendix, but it is a MAY in 
current section 6.1
If the following suggestion from Juergen is accepted:

> - More concrete definition of BGP-related attributes
>      old text:
>         In addition, the exporting process MAY be able to
>          report attributes related to inter-autonomous
>          system routing of a flow, for example by reporting
>          BGP Autonomous System numbers [RFC1771].
>      suggestion: replace text by three new MAY attributes
>         27. source BGP Autonomous System number [RFC1771]
>          28. destination BGP Autonomous System number
>          29. next hop BGP Autonomous System number

 > then replace "6.1 BGP AS# - S M - - M" with the following line:
"6.1 src/dst/next hop BGP AS # - O O - - O"

--- For the Information Model, requirements on ICMP type and in/out 
interface are missing:
 > Add "6.1 ICMP type and code (l) S S - S S S"
 > Add note: "(l) If protocol type is ICMP"

 > Add "6.1 input/output interface (m) S S S S S S"
 > Add note: "(m) This requirement does not apply if the observation 
point is located at a probe device"

--- For the Data Model the following requirement is missing:
 > "6.2 Independency of the transport protocol S S S S S S"

--- "6.7 Anonymization O O O O O O"
 > Add note: "(n) anonymization MUST be clearly indicated to all 
receiving collecting processes"

Juergen suggested:

> - Anonymization from MAY to MUST
>      suggestion: Change anonymization requirement in
>      section 6.7 from MAY to MUST. 

 >If Juergen's suggestion is accepted then also change the req. into: 
"6.7 Anonymization M M M M M M"

--- Configuration requirements for metering process:
 > Add "7.1 Config Overload behavior (a) O O O O O O"

--- Configuration reqs. for exporting process:
 > Config Notifications and Config Anonymization should be changed to 
SHOULD (they are listed as MAY)

 >Add the following missing reqs:
 >"Config Collecting Processes S S S S S S"
 >"Config reporting interval (a) S S S S S S"

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Juergen Quittek <[email-masked]>
Date: Fri, 30 May 2003 16:23:08 +0200

Dear all,

There have been no objections to Sandra's comments on the appendix
of the requirements document.

I will commit all changes she suggested.

    Juergen
-- 
Juergen Quittek        [email-masked]        Tel: +49 6221 90511-15
NEC Europe Ltd.,       Network Laboratories        Fax: +49 6221 90511-55
Kurfuersten-Anlage 36, 69115 Heidelberg, Germany   http://www.ccrle.nec.de

-- Sandra Tartarelli wrote on 23 May 2003 11:29 +0200:

> Dear all,
>
> I checked the consistency of the appendix of the IPFIX requirements document. This was listed as open issue in Juergen's email "IPFIX requirement: final changes":
>
> In the following, you find my suggestions to update it. Part of the suggestions consider the comments in Juergen's email "IPFIX requirement: final changes".
>
> Best regards,
> Sandra
>
>  > Add note (j): "If sampling is supported, sampling configuration changes MUST be indicated to all collecting processes"
>
>  > Add note (k): "If overload is supported and it induces changes in the metering process behavior, the overload behavior MUST be clearly defined"
>
> --- Requirement on packet fragmentation state at the meter is missing (section 5.8)
>  > Add note (l): "which bytes of a packet are counted MUST be defined clearly"
> This note is not required if the suggestion from Juergen to replace the byte counter definition is accepted.
>  From Juergen's email:
>
> --- 6.1 Dropped packet counter:  This requirement appears as a MUST in the appendix, but it is a MAY in current section 6.1
> --- 6.1 ToS byte and DSCP: they appear as separate requirements in the appendix. Besides, Traffic Class (IPv6) is not mentioned.
> However, Juergen wrote:
>
>> On page 14 I see:
>>
>  > If this is accepted, then remove line "6.1 ToS Byte M S M O M M" and leave only "6.1 DSCP (a) M S M O M M"
>
> --- 6.1 BGP AS# is given as MUST in the appendix, but it is a MAY in current section 6.1
> --- For the Information Model, requirements on ICMP type and in/out interface are missing:
>  > Add note: "(m) This requirement does not apply if the observation point is located at a probe device"
>
>  > Add note: "(n) anonymization MUST be clearly indicated to all receiving collecting processes"
>
> Juergen suggested:
>
>  >If Juergen's suggestion is accepted then also change the req. into: "6.7 Anonymization M M M M M M"
>
>  > Config Notifications and Config Anonymization should be changed to SHOULD (they are listed as MAY)
>